require(PMCMR)
require(beeswarm)
require(extrafont)
opar <- par(no.readonly = TRUE)

cols <- c("#a7dee8","#a7aae8","#e8a8dd","#e8a8a8")
df <- read.csv("Fig1b_data_file.csv")
df[["Epis_per_polyp"]] <- df[["Epis_per_polyp"]]/1000
df[["total_per_polyp"]] <- df[["total_per_polyp"]]/1000
df[["Temp"]] <- factor(df[["Temp"]], level = c("8","12","18","22"))

min <- 0
pdf("Fig1b_plot.pdf", family="Arial",width=3.5,height=3.5)
par(bty="n", mar=c(4,4,1,0))
selection <- "Epis_per_polyp"
max <- max(df[[selection]])*1.3

boxplot(data = df, Epis_per_polyp ~ Temp ,ylim =c(min, max), col=cols, ylab= "No. of epith. cells per polyp x1000", xlab="Rearing temperature [°C]", las=1)

print(pairwise.wilcox.test(df[[selection]], df[["Temp"]], p.adjust.method="BH"))
liney <- max(df[[selection]])

points(c(2,3), rep(liney,2)*1.13, type='l', cex=1.5)

points(c(3,4), rep(liney,2)*1.06, type='l', cex=1.5)
text(c(3.5,2.5),liney*c(1.12,1.19), c("***","*"), cex=1.5)

dev.off()
