# Porthmeus
# 02.11.18
require(extrafont)

# load data
df2 <- read.csv("Fig7c_data_LDN193189ALP.csv")
df2[["Treatment"]] <- factor(df2$Treatment, levels=c("DMSO","10nM ALP","10nM ALP 2uM LDN"))

# plot
pdf("Fig7c_plot_LDN193189ALP.pdf", width=3, height=2, family="Arial")
par(bty="n", mar=c(2,4,1,0.5))
mE <- max(df2[["Epis"]])
boxplot(data=df2, Epis~Treatment, las=2, ylab="No. of epth. cells per polyp x1000", ylim=c(0,mE*1.3), col= c("gray80","gray60","gray40"))

# add statitistcs
print(pairwise.wilcox.test(df2[["Epis"]], df2[["Treatment"]], p.adjust.method = "BH"))
points(c(1,2),rep(mE,2)*1.1,type="l")
points(c(1,3),rep(mE,2)*1.25, type="l")
points(c(2,3),rep(mE,2)*1.15,type="l")
text(c(1.5, 2.5, 2),c(mE)*c(1.15, 1.2, 1.3), c("**","***","**"), cex=1.5)
dev.off()
