require(extrafont)

df <- read.csv("SupFig2abc_data_BrdULabeling.csv")
clr <- c("#a7aae8","#e8a8dd","#ccccc0","#ccaa66","gray60","#FF8080","#66CC66","#ffb380")
pts <- c(21:25,0:14)
pdf("SupFig2_plot_BrdULabeling.pdf", width = 2.5, height = 4, family = "Arial")
par(bty = "n")

# AEP
plot(df[["Timepoint"]], df[["ratio"]], type="n", ylab= "Fraction of BrdU labeled epithelial cells", xlab = "Labeling time in h", xaxt="n", ylim=c(0,1))
axis(1, at=c(3,24,48,72))
i<-0


for(l in  c("12°C","18°C")){
    i = i+1
    t3 <- which(df[["Sample"]] == l & df[["Timepoint"]] == 3)
    t72 <- which(df[["Sample"]] == l & df[["Timepoint"]] == 72)
    points(c(3,72), c(mean(df[t3,"ratio"]),mean(df[t72,"ratio"])), type="l",pch=21, col=clr[i], lwd=1.5)
}
i<-0
for(l in  c("12°C","18°C")){
  i = i+1
    t3 <- which(df[["Sample"]] == l & df[["Timepoint"]] == 3)
    t72 <- which(df[["Sample"]] == l & df[["Timepoint"]] == 72)
    points(c(rep(3,length(t3)),rep(72,length(t72))), df[c(t3,t72),"ratio"], pch = 21, bg=clr[i])
}
leg<-legend("topleft", pch=21, legend= c("AEP 12°C","AEP 18°C"), bty= "n" , pt.bg = clr)


# INSR
plot(df[["Timepoint"]], df[["ratio"]], type="n", ylab= "Fraction of BrdU labeled epithelial cells", xlab = "Labeling time in h", xaxt="n", ylim=c(0,1))
axis(1, at=c(3,24,48,72))
i<-0
cls <- clr[3:4]

for(l in  c("INSR-HP con C1-1","INSR-HP TG C1-1")){
    
    i = i+1
    t3 <- which(df[["Sample"]] == l & df[["Timepoint"]] == 3)
    t72 <- which(df[["Sample"]] == l & df[["Timepoint"]] == 72)
    points(c(3,72), c(mean(df[t3,"ratio"]),mean(df[t72,"ratio"])), type="l",pch=21, col=cls[i], lwd=1.5)
}
i<-0
for(l in  c("INSR-HP con C1-1","INSR-HP TG C1-1")){
    i = i+1
    t3 <- which(df[["Sample"]] == l & df[["Timepoint"]] == 3)
    t72 <- which(df[["Sample"]] == l & df[["Timepoint"]] == 72)
    points(c(rep(3,length(t3)),rep(72,length(t72))), df[c(t3,t72),"ratio"], pch = 21, bg=cls[i])
}
leg<-legend("topleft", pch=21, legend= c("ctrl","ecto/endo"), bty= "n" , pt.bg = cls, cex=1)


# FoxO
plot(df[["Timepoint"]], df[["ratio"]], type="n", ylab= "Fraction of BrdU labeled epithelial cells", xlab = "Labeling time in h", xaxt="n", ylim=c(0,1))
axis(1, at=c(3,24,48,72))
i<-0
cls <- clr[5:8]

for(l in c("FoxO-HP empty","FoxO-HP endo","FoxO-HP ecto","FoxO-HP ecto/endo")){
    i = i+1
    t3 <- which(df[["Sample"]] == l & df[["Timepoint"]] == 3)
    t72 <- which(df[["Sample"]] == l & df[["Timepoint"]] == 72)
    points(c(3,72), c(mean(df[t3,"ratio"]),mean(df[t72,"ratio"])), type="l",pch=21, col=cls[i], lwd=1.5)
}
i<-0
for(l in c("FoxO-HP empty","FoxO-HP endo","FoxO-HP ecto","FoxO-HP ecto/endo")){
    i = i+1
    t3 <- which(df[["Sample"]] == l & df[["Timepoint"]] == 3)
    t72 <- which(df[["Sample"]] == l & df[["Timepoint"]] == 72)
    points(c(rep(3,length(t3)),rep(72,length(t72))), df[c(t3,t72),"ratio"], pch = 21, bg=cls[i])
}
leg<-legend("topleft", pch=21, legend= c("ctrl","endo","ecto","ecto/endo"), bty= "n" , pt.bg = cls, cex=1)
dev.off()
