# Porthmeus
# 20.12.18
require(extrafont)

df <- read.csv("SupFig6a_data_MaxSizeINSRC62.csv")
df[["Treatment"]] <- gsub("INSR-KD C6-2 ","",gsub("TG","ecto", df[["Treatment"]]))
df[["Epis"]] <- df[["Epis"]]/1000

pdf("SupFig6a_plot_MaxSizeINSRC62.pdf", width=3, height=3, family="Arial")
par(bty="n", mar=c(2,4,1,0.5))
maxy <- max(df[["Epis"]])
boxplot(data=df, Epis~Treatment, col=c("#ccccc0","#ccaa66"), ylab="No. of epith. cells\nper polyp x1000", main="INSR-KD C6-2", ylim=c(0,maxy*1.2),las=1)

# statistics
wilcox.test(df[["Epis"]]~df[["Treatment"]])
points(x=c(1,2),y=rep(maxy,2)*1.1,type="l")
text(x=1.5, y=maxy*1.2, "**", cex=1.7)
dev.off()
