# Porthmeus
# 12.12.18

require(extrafont)
df <- read.csv("SupFig8_data_qRTWntINSRFoxO.csv")

vals <- matrix(0,nrow = 2, ncol = length(levels(df[["Gene"]])), dimnames = list(x=c("ecen","INSR-KD"), y=levels(df[["Gene"]])))
sem <- matrix(0,nrow = 2, ncol = length(levels(df[["Gene"]])), dimnames = list(x=c("ecen","INSR-KD"), y=levels(df[["Gene"]])))
stars <-c()

for(gene in levels(df[["Gene"]])){
    
    wDF <- droplevels(df[df[["Gene"]]==gene,])
    for(treatment in levels(wDF[["Treatment"]])){
         if(treatment != "ctrl" & treatment != "empty"){
            if(treatment=="INSR-KD") {
                ctrl <- "ctrl"
            } else if(treatment=="ecen"){
                ctrl <- "empty"
            }

            vals[treatment,gene] <- log2(mean(wDF[wDF[["Treatment"]]== treatment,"FC"]))
            sem[treatment,gene] <- sd(log2(wDF[wDF[["Treatment"]]== treatment,"FC"]))/sqrt(length(grep(treatment, df[["Treatment"]])))
        if(treatment=="DMSO"){
                stars <- c(stars,"")
            } else {
                pval <- t.test(wDF[wDF[["Treatment"]]== treatment, "dCT"], wDF[wDF[["Treatment"]]==ctrl,"dCT"])
                print(treatment)
                print(pval)
                if(pval[["p.value"]] < 0.001){
                    stars <- c(stars,"***")
                } else if( pval[["p.value"]] < 0.01){
                    stars <- c(stars,"**")
                } else if( pval[["p.value"]] < 0.05){
                    stars <- c(stars,"*")
                }else if(pval[["p.value"]] < 0.1){
                    stars <- c(stars, ".")
                } else {
                    stars <- c(stars, "")
                }
            }
        }
    }
}

pdf("SupFig8_plot_qRTWntINSRFoxO.pdf", width = 7, height=4, family="Arial")
par(mar = c(2,4,1,1)+0.1)
barplot(vals, beside =T, legend.text = T, ylim = c(-2,1.5), ylab = expression("log"[2]*"-fold-change"), args.legend=list(x="topleft", cex=0.8,bty="n",legend=c("FoxO-KD","INSR-KD")), col=c("#ffb380","#ccaa66"))
abline(h=0)
xvals <- c(((1:8)*3)-1.5,((1:8)*3)-0.5)
i <- 0
semp <- c(sem[1,],sem[2,])
valsp <- c(vals[1,],vals[2,])
for(x in xvals){
    i <- i+1
    points(x=c(x,x),y=c(valsp[i]-semp[i],valsp[i]+semp[i]), type="l")
    points(x=c(x,x),y=c(valsp[i]-semp[i],valsp[i]+semp[i]), pch = 190, font = 5)
}
text(x=sort(xvals), y=as.vector(vals)*1.3, stars, cex=1.2)
dev.off()




